commit:     4b2df3c458a652b593087246b286e7d5de949ef1
Author:     Brian Evans <grknight <AT> gentoo <DOT> org>
AuthorDate: Fri Apr 22 17:18:02 2016 +0000
Commit:     Brian Evans <grknight <AT> gentoo <DOT> org>
CommitDate: Fri Apr 22 17:18:02 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4b2df3c4

dev-db/mariadb: Remove security vulnerable ~arch versions

Package-Manager: portage-2.2.28

 dev-db/mariadb/Manifest               |   4 -
 dev-db/mariadb/mariadb-10.1.10.ebuild | 200 ---------------------------------
 dev-db/mariadb/mariadb-10.1.11.ebuild | 204 ----------------------------------
 dev-db/mariadb/mariadb-5.5.47.ebuild  | 123 --------------------
 dev-db/mariadb/mariadb-5.5.48.ebuild  | 123 --------------------
 5 files changed, 654 deletions(-)

diff --git a/dev-db/mariadb/Manifest b/dev-db/mariadb/Manifest
index 29f6e2c..4f04398 100644
--- a/dev-db/mariadb/Manifest
+++ b/dev-db/mariadb/Manifest
@@ -1,11 +1,7 @@
 DIST mariadb-10.0.23.tar.gz 57394548 SHA256 
156eed69892834be66736aebe0a17a76d5031fd1c2f481a82228ff33bb7ba274 SHA512 
c3b6d33efeb720bcffc3c20191726671c5c9ec96da0539d9a4df34051a16770e8fef07ee43efdd79e76be50b0e007519325d39b000de3843a8c6af3671e989a3
 WHIRLPOOL 
2de6816353c4d0873a038255dadd296433709b55cf794021f5107e8e5657afb98dadebc89e8d93747a105d70b03b9c02edae47be8986d206240d2d894fd83c8e
 DIST mariadb-10.0.24.tar.gz 57438082 SHA256 
65de16f5f9b1696e2a537bc7a99d122bc38fa77941ba2e65d8cdf363c8449094 SHA512 
57c91edd45e779401f934b18364bce3b933fc096647727e586c2fc6543ddcec60662b46ffaa4f950a84e927dac38f55547117761d9bd7a29e5c38abed7164482
 WHIRLPOOL 
1753a7fb407e4e39ceedb57fb7d22a19e64b586e675db03ed0449e119e2c314a13344714853d12f194306a9fa9496bd1e2a79fc1245fd0dd4eb607a0edf62d64
-DIST mariadb-10.1.10.tar.gz 55158771 SHA256 
d2c26fc76ff7397bdf25924161174c30a2b7fbd59893048f50145fc0a8278f76 SHA512 
a33f813bf90380ce480cf5cb909032536629f7c06b68e90ceb061e13606a93824511196736ecf1149a15017026c098edfc4ce540d0e30f8ec2c69c7b0350c1b3
 WHIRLPOOL 
72110267deae404762756c500719f0bd6aaa648451bde3d83db869ed40ab402c71463044d52092dc8dbc031a808a50dc30fc13be37b16974294f8f94d780dbb8
-DIST mariadb-10.1.11.tar.gz 55184229 SHA256 
cd32927370343b4f14bcc6073bca163623c27843ae7bc59c8c6a9ebeda0325ce SHA512 
5963aa4a7ce468ae46296cd4f83ed5922b1c00274a5d678ad6d0c36754c6e3edb3adc7286d398aac31a5652fca6c5d5480320e4ebae5b4a78619b4bd358bd80b
 WHIRLPOOL 
2021b0457e296b8e20f4b2c1721bcc65383fd491ef8e90cb080dc1ef00ebfe054be32efaca829dec134fed78fd35b5283315ff1080ec9cf5e596efbe76290c54
 DIST mariadb-10.1.12.tar.gz 55254244 SHA256 
795f466ac0e4df148981b85df735855d41614abaedcda51520a513a4ad60f4e7 SHA512 
c0f28de80e22b7fc1f74946f309c364601036aefeea2bb464b11e3658e102dd80ef0d6d156d0af67af76e54741e60334be8c48630766141b01b885d53068b659
 WHIRLPOOL 
28ceaa2445a89c82c91ca4f6806fb78fd40705b823b95817625e6fc97112f9a5eddfd4e1d1527c5ad588a9fec33353e4f88174272409637090d8495175a8cd3d
 DIST mariadb-10.1.13.tar.gz 55272572 SHA256 
21e1c7da1421146c69f5e8077333aaac06778a87046a1943ee4f449fbcefc00d SHA512 
fdaa35f1a93e2a124339f3a4a85d7247c223ffec2cd7ed36f029f63a76bd348b8f41f491e5b2f81f53bed82ed79bc89b62dd6966d5a946910299070ece667b5e
 WHIRLPOOL 
0ff2891af910380749be8b31bdacec02777cc4f2b474172b3257cecc10b900222c3c089515c9fd4621ea75ea58179b1f1336b7c26185ec43282df0ce661e621d
-DIST mariadb-5.5.47.tar.gz 45705343 SHA256 
62b9378677433461d2a79b1ebe3182ba249994eb0cff2054ae8de8f646364209 SHA512 
76359229448abec40100c916d69eab0d8e37bd480025edbacb70b7bfe965151953bfc8c9b36f6645e9c4b5ede8d970886373b6a069abf8e0026059cac1b09d76
 WHIRLPOOL 
ce3548d2eec369be96ea373438c1cf586bdff536e8b61116b110ccc39ab412a46423353f4cddd6d816e93b43c707f40a3bb5b97349fa709fe2c86f484f54f62a
-DIST mariadb-5.5.48.tar.gz 45727158 SHA256 
50f753e003af6bd9c50b6257cca9d0cced5c877690824eac05f8d54fb9f6b421 SHA512 
e4485a17589aad77e8d375d1c72065ea0d84da5954af029099dab19ffa852b4e3541ad13a77179e5c4722afc0574f2998a4f854b2b08a0689bb1428deb7de171
 WHIRLPOOL 
d9c15aae23d2104eb15a8003810b2e11618ee159cda923bf5e521eace635c6a2731ccb292d73425f0346fd88ff382c6dbfb686996118f84fccdcfb89504e729b
 DIST mariadb-5.5.49.tar.gz 45738390 SHA256 
2c82f2af71b88a7940d5ff647498ed78922c92e88004942caa213131e20f4706 SHA512 
4eceb8ab4e1fb7144374f100440b83a8b3294fa9da61027086c27b02b8ff899e3f9d4511adbb02fb50ddab92a48bf6a39ad71ab9e00bc8be00022a4ea4e6fc2f
 WHIRLPOOL 
e757ff389b184fa235e39bebbfd4bd53e29a20da640a90a6a2454537a238edfff07f9a76da32e65a7756aa25421174d57f6f28d94924bb3ee0aa7ac6474d03c3
 DIST mysql-extras-20150509-1847Z.tar.bz2 1494301 SHA256 
de9c9fbb67998604cb3c0409842e4601646c8ad17f2aa301f55ffd4aed7a483d SHA512 
f87d96ab8c35236d4453182c49f87f6e703af9dc217916546e4dd7368caa18a2340c9063decd96c22251d1097d7e2cac58bef30e6ff75c23aedf8926dbc3d3b4
 WHIRLPOOL 
f60297c8ee1dfd9867ed6b29a8b04a002f23bc36b1e8d9b5db30e1e454a49fe06ffc37b10d934b11235364eecdc62beb50ce24690ab3d07a50056357906fa0fa
 DIST mysql-extras-20151223-1501Z.tar.bz2 295335 SHA256 
8b5100aef8e0f8f6302bb389555dc7c91dd78ac1e4eb39bfd4f9d9d0b2321971 SHA512 
84dc1dab6651aea51b4b2bad4304ae19dbedbda6e9c8f49377d01adb9d42fed7ce0018951a6694fd09f316ce99816c0269f2787b490cad6838d729f365ad4a6d
 WHIRLPOOL 
30ec83b7054eaa711cfbb57b39c0696a028aee862ed2ca5dfe2515ab1bd625a28175e4d789d9ba2c67692a1b1429e08cc50d72132ac002ccb2be2d26c91cfdfb

diff --git a/dev-db/mariadb/mariadb-10.1.10.ebuild 
b/dev-db/mariadb/mariadb-10.1.10.ebuild
deleted file mode 100644
index 1390a68..0000000
--- a/dev-db/mariadb/mariadb-10.1.10.ebuild
+++ /dev/null
@@ -1,200 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI="5"
-MY_EXTRAS_VER="20151223-1501Z"
-# The wsrep API version must match between upstream WSREP and 
sys-cluster/galera major number
-WSREP_REVISION="25"
-SUBSLOT="18"
-MYSQL_PV_MAJOR="5.6"
-
-inherit toolchain-funcs mysql-multilib-r1
-
-HOMEPAGE="http://mariadb.org/";
-DESCRIPTION="An enhanced, drop-in replacement for MySQL"
-
-IUSE="bindist cracklib galera innodb-lz4 innodb-lzo innodb-snappy mroonga odbc 
oqgraph pam sphinx sst-rsync sst-xtrabackup tokudb systemd xml"
-RESTRICT="!bindist? ( bindist )"
-
-REQUIRED_USE="tokudb? ( jemalloc ) static? ( !pam )"
-
-# REMEMBER: also update eclass/mysql*.eclass before committing!
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~hppa ~mips ~ppc ~ppc64 ~s390 ~sh 
~sparc ~x86 ~sparc-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux 
~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
-
-# When MY_EXTRAS is bumped, the index should be revised to exclude these.
-#EPATCH_EXCLUDE=''
-
-COMMON_DEPEND="
-       mroonga? ( app-text/groonga-normalizer-mysql )
-       systemd? ( sys-apps/systemd:= )
-       !bindist? ( >=sys-libs/readline-4.1:0=  )
-       server? (
-               cracklib? ( sys-libs/cracklib:0= )
-               extraengine? (
-                       odbc? ( dev-db/unixODBC:0= )
-                       xml? ( dev-libs/libxml2:2= )
-               )
-               innodb-lz4? ( app-arch/lz4 )
-               innodb-lzo? ( dev-libs/lzo )
-               innodb-snappy? ( app-arch/snappy )
-               oqgraph? ( >=dev-libs/boost-1.40.0:0= dev-libs/judy:0= )
-               pam? ( virtual/pam:0= )
-               tokudb? ( app-arch/snappy )
-       )
-       >=dev-libs/libpcre-8.35:3=
-"
-DEPEND="|| ( >=sys-devel/gcc-3.4.6 >=sys-devel/gcc-apple-4.0 )
-       ${COMMON_DEPEND}"
-RDEPEND="${RDEPEND} ${COMMON_DEPEND}
-       galera? (
-               sys-apps/iproute2
-               =sys-cluster/galera-${WSREP_REVISION}*
-               sst-rsync? ( sys-process/lsof )
-               sst-xtrabackup? ( net-misc/socat[ssl] )
-       )
-       perl? ( !dev-db/mytop
-               virtual/perl-Getopt-Long
-               dev-perl/TermReadKey
-               virtual/perl-Term-ANSIColor
-               virtual/perl-Time-HiRes )
-"
-# xtrabackup-bin causes a circular dependency if DBD-mysql is not already 
installed
-PDEPEND="galera? ( sst-xtrabackup? ( >=dev-db/xtrabackup-bin-2.2.4 ) )"
-
-MULTILIB_WRAPPED_HEADERS+=( /usr/include/mysql/mysql_version.h )
-
-src_configure(){
-       # bug 508724 mariadb cannot use ld.gold
-       tc-ld-disable-gold
-       local MYSQL_CMAKE_NATIVE_DEFINES=(
-                       -DWITH_JEMALLOC=$(usex jemalloc system)
-                       -DWITH_PCRE=system
-       )
-       if use server ; then
-               # Federated{,X} must be treated special otherwise they will not 
be built as plugins
-               if ! use extraengine ; then
-                       MYSQL_CMAKE_NATIVE_DEFINES+=(
-                               -DPLUGIN_FEDERATED=NO
-                               -DPLUGIN_FEDERATEDX=NO )
-               fi
-
-               MYSQL_CMAKE_NATIVE_DEFINES+=(
-                       -DPLUGIN_OQGRAPH=$(usex oqgraph YES NO)
-                       -DPLUGIN_SPHINX=$(usex sphinx YES NO)
-                       -DPLUGIN_TOKUDB=$(usex tokudb YES NO)
-                       -DPLUGIN_AUTH_PAM=$(usex pam YES NO)
-                       -DPLUGIN_CRACKLIB_PASSWORD_CHECK=$(usex cracklib YES NO)
-                       -DPLUGIN_CASSANDRA=NO
-                       -DPLUGIN_SEQUENCE=$(usex extraengine YES NO)
-                       -DPLUGIN_SPIDER=$(usex extraengine YES NO)
-                       -DPLUGIN_CONNECT=$(usex extraengine YES NO)
-                       -DCONNECT_WITH_MYSQL=1
-                       -DCONNECT_WITH_LIBXML2=$(usex xml)
-                       -DCONNECT_WITH_ODBC=$(usex odbc)
-                       -DWITH_WSREP=$(usex galera)
-                       -DWITH_INNODB_LZ4=$(usex innodb-lz4)
-                       -DWITH_INNODB_LZO=$(usex innodb-lzo)
-                       -DWITH_INNODB_SNAPPY=$(usex innodb-snappy)
-                       -DPLUGIN_MROONGA=$(usex mroonga YES NO)
-               )
-       fi
-       mysql-multilib-r1_src_configure
-}
-
-# Official test instructions:
-# USE='embedded extraengine perl server openssl static-libs' \
-# FEATURES='test userpriv -usersandbox' \
-# ebuild mariadb-X.X.XX.ebuild \
-# digest clean package
-multilib_src_test() {
-
-       if ! multilib_is_native_abi ; then
-               einfo "Server tests not available on non-native abi".
-               return 0;
-       fi
-
-       local TESTDIR="${BUILD_DIR}/mysql-test"
-       local retstatus_unit
-       local retstatus_tests
-
-       if use server ; then
-
-               # Bug #213475 - MySQL _will_ object strenously if your machine 
is named
-               # localhost. Also causes weird failures.
-               [[ "${HOSTNAME}" == "localhost" ]] && die "Your machine must 
NOT be named localhost"
-
-               if [[ $UID -eq 0 ]]; then
-                       die "Testing with FEATURES=-userpriv is no longer 
supported by upstream. Tests MUST be run as non-root."
-               fi
-               has usersandbox $FEATURES && eerror "Some tests may fail with 
FEATURES=usersandbox"
-
-               einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
-               addpredict /this-dir-does-not-exist/t9.MYI
-
-               # Run CTest (test-units)
-               cmake-utils_src_test
-               retstatus_unit=$?
-               [[ $retstatus_unit -eq 0 ]] || eerror "test-unit failed"
-
-               # Ensure that parallel runs don't die
-               export MTR_BUILD_THREAD="$((${RANDOM} % 100))"
-               # Enable parallel testing, auto will try to detect number of 
cores
-               # You may set this by hand.
-               # The default maximum is 8 unless MTR_MAX_PARALLEL is increased
-               export MTR_PARALLEL="${MTR_PARALLEL:-auto}"
-
-               # create directories because mysqladmin might run out of order
-               mkdir -p "${T}"/var-tests{,/log}
-
-               # These are failing in MariaDB 10.0 for now and are believed to 
be
-               # false positives:
-               #
-               # main.information_schema, 
binlog.binlog_statement_insert_delayed,
-               # main.mysqld--help, funcs_1.is_triggers, 
funcs_1.is_tables_mysql,
-               # funcs_1.is_columns_mysql main.bootstrap
-               # fails due to USE=-latin1 / utf8 default
-               #
-               # main.mysql_client_test, main.mysql_client_test_nonblock
-               # main.mysql_client_test_comp:
-               # segfaults at random under Portage only, suspect resource 
limits.
-               #
-               # plugins.cracklib_password_check
-               # Can randomly fail due to cracklib return message
-
-               for t in main.mysql_client_test main.mysql_client_test_nonblock 
\
-                       main.mysql_client_test_comp main.bootstrap \
-                       binlog.binlog_statement_insert_delayed 
main.information_schema \
-                       main.mysqld--help plugins.cracklib_password_check \
-                       funcs_1.is_triggers funcs_1.is_tables_mysql 
funcs_1.is_columns_mysql ; do
-                               mysql-multilib-r1_disable_test  "$t" "False 
positives in Gentoo"
-               done
-
-               # Run mysql tests
-               pushd "${TESTDIR}" || die
-
-               # run mysql-test tests
-               perl mysql-test-run.pl --force --vardir="${T}/var-tests" 
--reorder
-
-               retstatus_tests=$?
-               [[ $retstatus_tests -eq 0 ]] || eerror "tests failed"
-               has usersandbox $FEATURES && eerror "Some tests may fail with 
FEATURES=usersandbox"
-
-               popd || die
-
-               # Cleanup is important for these testcases.
-               pkill -9 -f "${S}/ndb" 2>/dev/null
-               pkill -9 -f "${S}/sql" 2>/dev/null
-
-               failures=""
-               [[ $retstatus_unit -eq 0 ]] || failures="${failures} test-unit"
-               [[ $retstatus_tests -eq 0 ]] || failures="${failures} tests"
-               has usersandbox $FEATURES && eerror "Some tests may fail with 
FEATURES=usersandbox"
-
-               [[ -z "$failures" ]] || die "Test failures: $failures"
-               einfo "Tests successfully completed"
-
-       else
-               einfo "Skipping server tests due to minimal build."
-       fi
-}

diff --git a/dev-db/mariadb/mariadb-10.1.11.ebuild 
b/dev-db/mariadb/mariadb-10.1.11.ebuild
deleted file mode 100644
index b71db06..0000000
--- a/dev-db/mariadb/mariadb-10.1.11.ebuild
+++ /dev/null
@@ -1,204 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI="5"
-MY_EXTRAS_VER="20160131-0252Z"
-# The wsrep API version must match between upstream WSREP and 
sys-cluster/galera major number
-WSREP_REVISION="25"
-SUBSLOT="18"
-MYSQL_PV_MAJOR="5.6"
-
-inherit toolchain-funcs mysql-multilib-r1
-
-HOMEPAGE="http://mariadb.org/";
-DESCRIPTION="An enhanced, drop-in replacement for MySQL"
-
-IUSE="bindist cracklib galera kerberos innodb-lz4 innodb-lzo innodb-snappy 
mroonga odbc oqgraph pam sphinx sst-rsync sst-xtrabackup tokudb systemd xml"
-RESTRICT="!bindist? ( bindist )"
-
-REQUIRED_USE="server? ( tokudb? ( jemalloc ) ) static? ( !pam ) "
-
-# REMEMBER: also update eclass/mysql*.eclass before committing!
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~hppa ~mips ~ppc ~ppc64 ~s390 ~sh 
~sparc ~x86 ~sparc-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux 
~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
-
-# When MY_EXTRAS is bumped, the index should be revised to exclude these.
-#EPATCH_EXCLUDE=''
-
-COMMON_DEPEND="
-       mroonga? ( app-text/groonga-normalizer-mysql )
-       kerberos? ( virtual/krb5 )
-       systemd? ( sys-apps/systemd:= )
-       !bindist? ( >=sys-libs/readline-4.1:0=  )
-       server? (
-               cracklib? ( sys-libs/cracklib:0= )
-               extraengine? (
-                       odbc? ( dev-db/unixODBC:0= )
-                       xml? ( dev-libs/libxml2:2= )
-               )
-               innodb-lz4? ( app-arch/lz4 )
-               innodb-lzo? ( dev-libs/lzo )
-               innodb-snappy? ( app-arch/snappy )
-               oqgraph? ( >=dev-libs/boost-1.40.0:0= dev-libs/judy:0= )
-               pam? ( virtual/pam:0= )
-               tokudb? ( app-arch/snappy )
-       )
-       >=dev-libs/libpcre-8.35:3=
-"
-DEPEND="|| ( >=sys-devel/gcc-3.4.6 >=sys-devel/gcc-apple-4.0 )
-       ${COMMON_DEPEND}"
-RDEPEND="${RDEPEND} ${COMMON_DEPEND}
-       galera? (
-               sys-apps/iproute2
-               =sys-cluster/galera-${WSREP_REVISION}*
-               sst-rsync? ( sys-process/lsof )
-               sst-xtrabackup? ( net-misc/socat[ssl] )
-       )
-       perl? ( !dev-db/mytop
-               virtual/perl-Getopt-Long
-               dev-perl/TermReadKey
-               virtual/perl-Term-ANSIColor
-               virtual/perl-Time-HiRes )
-"
-# xtrabackup-bin causes a circular dependency if DBD-mysql is not already 
installed
-PDEPEND="galera? ( sst-xtrabackup? ( >=dev-db/xtrabackup-bin-2.2.4 ) )"
-
-MULTILIB_WRAPPED_HEADERS+=( /usr/include/mysql/mysql_version.h )
-
-src_configure(){
-       # bug 508724 mariadb cannot use ld.gold
-       tc-ld-disable-gold
-
-       local MYSQL_CMAKE_NATIVE_DEFINES=(
-                       -DWITH_JEMALLOC=$(usex jemalloc system)
-                       -DWITH_PCRE=system
-                       -DPLUGIN_AUTH_GSSAPI_CLIENT=$(usex kerberos YES NO)
-       )
-       if use server ; then
-               # Federated{,X} must be treated special otherwise they will not 
be built as plugins
-               if ! use extraengine ; then
-                       MYSQL_CMAKE_NATIVE_DEFINES+=(
-                               -DPLUGIN_FEDERATED=NO
-                               -DPLUGIN_FEDERATEDX=NO )
-               fi
-
-               MYSQL_CMAKE_NATIVE_DEFINES+=(
-                       -DPLUGIN_OQGRAPH=$(usex oqgraph YES NO)
-                       -DPLUGIN_SPHINX=$(usex sphinx YES NO)
-                       -DPLUGIN_TOKUDB=$(usex tokudb YES NO)
-                       -DPLUGIN_AUTH_PAM=$(usex pam YES NO)
-                       -DPLUGIN_CRACKLIB_PASSWORD_CHECK=$(usex cracklib YES NO)
-                       -DPLUGIN_CASSANDRA=NO
-                       -DPLUGIN_SEQUENCE=$(usex extraengine YES NO)
-                       -DPLUGIN_SPIDER=$(usex extraengine YES NO)
-                       -DPLUGIN_CONNECT=$(usex extraengine YES NO)
-                       -DCONNECT_WITH_MYSQL=1
-                       -DCONNECT_WITH_LIBXML2=$(usex xml)
-                       -DCONNECT_WITH_ODBC=$(usex odbc)
-                       -DWITH_WSREP=$(usex galera)
-                       -DWITH_INNODB_LZ4=$(usex innodb-lz4)
-                       -DWITH_INNODB_LZO=$(usex innodb-lzo)
-                       -DWITH_INNODB_SNAPPY=$(usex innodb-snappy)
-                       -DPLUGIN_MROONGA=$(usex mroonga YES NO)
-                       -DPLUGIN_AUTH_GSSAPI=$(usex kerberos YES NO)
-               )
-       fi
-       mysql-multilib-r1_src_configure
-}
-
-# Official test instructions:
-# USE='embedded extraengine perl server openssl static-libs' \
-# FEATURES='test userpriv -usersandbox' \
-# ebuild mariadb-X.X.XX.ebuild \
-# digest clean package
-multilib_src_test() {
-
-       if ! multilib_is_native_abi ; then
-               einfo "Server tests not available on non-native abi".
-               return 0;
-       fi
-
-       local TESTDIR="${BUILD_DIR}/mysql-test"
-       local retstatus_unit
-       local retstatus_tests
-
-       if use server ; then
-
-               # Bug #213475 - MySQL _will_ object strenously if your machine 
is named
-               # localhost. Also causes weird failures.
-               [[ "${HOSTNAME}" == "localhost" ]] && die "Your machine must 
NOT be named localhost"
-
-               if [[ $UID -eq 0 ]]; then
-                       die "Testing with FEATURES=-userpriv is no longer 
supported by upstream. Tests MUST be run as non-root."
-               fi
-               has usersandbox $FEATURES && eerror "Some tests may fail with 
FEATURES=usersandbox"
-
-               einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
-               addpredict /this-dir-does-not-exist/t9.MYI
-
-               # Run CTest (test-units)
-               cmake-utils_src_test
-               retstatus_unit=$?
-               [[ $retstatus_unit -eq 0 ]] || eerror "test-unit failed"
-
-               # Ensure that parallel runs don't die
-               export MTR_BUILD_THREAD="$((${RANDOM} % 100))"
-               # Enable parallel testing, auto will try to detect number of 
cores
-               # You may set this by hand.
-               # The default maximum is 8 unless MTR_MAX_PARALLEL is increased
-               export MTR_PARALLEL="${MTR_PARALLEL:-auto}"
-
-               # create directories because mysqladmin might run out of order
-               mkdir -p "${T}"/var-tests{,/log}
-
-               # These are failing in MariaDB 10.0 for now and are believed to 
be
-               # false positives:
-               #
-               # main.information_schema, 
binlog.binlog_statement_insert_delayed,
-               # main.mysqld--help, funcs_1.is_triggers, 
funcs_1.is_tables_mysql,
-               # funcs_1.is_columns_mysql main.bootstrap
-               # fails due to USE=-latin1 / utf8 default
-               #
-               # main.mysql_client_test, main.mysql_client_test_nonblock
-               # main.mysql_client_test_comp:
-               # segfaults at random under Portage only, suspect resource 
limits.
-               #
-               # plugins.cracklib_password_check
-               # Can randomly fail due to cracklib return message
-
-               for t in main.mysql_client_test main.mysql_client_test_nonblock 
\
-                       main.mysql_client_test_comp main.bootstrap \
-                       binlog.binlog_statement_insert_delayed 
main.information_schema \
-                       main.mysqld--help plugins.cracklib_password_check \
-                       funcs_1.is_triggers funcs_1.is_tables_mysql 
funcs_1.is_columns_mysql ; do
-                               mysql-multilib-r1_disable_test  "$t" "False 
positives in Gentoo"
-               done
-
-               # Run mysql tests
-               pushd "${TESTDIR}" || die
-
-               # run mysql-test tests
-               perl mysql-test-run.pl --force --vardir="${T}/var-tests" 
--reorder
-
-               retstatus_tests=$?
-               [[ $retstatus_tests -eq 0 ]] || eerror "tests failed"
-               has usersandbox $FEATURES && eerror "Some tests may fail with 
FEATURES=usersandbox"
-
-               popd || die
-
-               # Cleanup is important for these testcases.
-               pkill -9 -f "${S}/ndb" 2>/dev/null
-               pkill -9 -f "${S}/sql" 2>/dev/null
-
-               failures=""
-               [[ $retstatus_unit -eq 0 ]] || failures="${failures} test-unit"
-               [[ $retstatus_tests -eq 0 ]] || failures="${failures} tests"
-               has usersandbox $FEATURES && eerror "Some tests may fail with 
FEATURES=usersandbox"
-
-               [[ -z "$failures" ]] || die "Test failures: $failures"
-               einfo "Tests successfully completed"
-
-       else
-               einfo "Skipping server tests due to minimal build."
-       fi
-}

diff --git a/dev-db/mariadb/mariadb-5.5.47.ebuild 
b/dev-db/mariadb/mariadb-5.5.47.ebuild
deleted file mode 100644
index 0700185..0000000
--- a/dev-db/mariadb/mariadb-5.5.47.ebuild
+++ /dev/null
@@ -1,123 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI="5"
-MY_EXTRAS_VER="20150509-1847Z"
-
-# Build system
-BUILD="cmake"
-
-inherit toolchain-funcs mysql-v2
-# only to make repoman happy. it is really set in the eclass
-IUSE="$IUSE"
-
-# REMEMBER: also update eclass/mysql*.eclass before committing!
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc 
~x86 ~sparc-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos 
~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
-
-# When MY_EXTRAS is bumped, the index should be revised to exclude these.
-EPATCH_EXCLUDE=''
-
-DEPEND="|| ( >=sys-devel/gcc-3.4.6 >=sys-devel/gcc-apple-4.0 )"
-RDEPEND="${RDEPEND}"
-
-# Please do not add a naive src_unpack to this ebuild
-# If you want to add a single patch, copy the ebuild to an overlay
-# and create your own mysql-extras tarball, looking at 000_index.txt
-
-# Official test instructions:
-# USE='embedded extraengine perl ssl static-libs community' \
-# FEATURES='test userpriv -usersandbox' \
-# ebuild mariadb-X.X.XX.ebuild \
-# digest clean package
-src_test() {
-
-       local TESTDIR="${BUILD_DIR}/mysql-test"
-       local retstatus_unit
-       local retstatus_tests
-
-       # Bug #213475 - MySQL _will_ object strenously if your machine is named
-       # localhost. Also causes weird failures.
-       [[ "${HOSTNAME}" == "localhost" ]] && die "Your machine must NOT be 
named localhost"
-
-       if ! use "minimal" ; then
-
-               if [[ $UID -eq 0 ]]; then
-                       die "Testing with FEATURES=-userpriv is no longer 
supported by upstream. Tests MUST be run as non-root."
-               fi
-               has usersandbox $FEATURES && eerror "Some tests may fail with 
FEATURES=usersandbox"
-
-               einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
-               addpredict /this-dir-does-not-exist/t9.MYI
-
-               # Run CTest (test-units)
-               cmake-utils_src_test
-               retstatus_unit=$?
-               [[ $retstatus_unit -eq 0 ]] || eerror "test-unit failed"
-
-               # Ensure that parallel runs don't die
-               export MTR_BUILD_THREAD="$((${RANDOM} % 100))"
-               # Enable parallel testing, auto will try to detect number of 
cores
-               # You may set this by hand.
-               # The default maximum is 8 unless MTR_MAX_PARALLEL is increased
-               export MTR_PARALLEL="${MTR_PARALLEL:-auto}"
-
-               # create directories because mysqladmin might right out of order
-               mkdir -p "${T}"/var-tests{,/log}
-
-               # create symlink for the tests to find the replace util
-               ln -s "${BUILD_DIR}/extra/replace" "${BUILD_DIR}/client/"
-
-               # These are failing in MariaDB 5.5 for now and are believed to 
be
-               # false positives:
-               #
-               # main.information_schema, 
binlog.binlog_statement_insert_delayed,
-               # main.mysqld--help, funcs_1.is_triggers, 
funcs_1.is_tables_mysql,
-               # funcs_1.is_columns_mysql
-               # fails due to USE=-latin1 / utf8 default
-               #
-               # main.mysql_client_test, main.mysql_client_test_nonblock:
-               # segfaults at random under Portage only, suspect resource 
limits.
-               #
-               # archive.mysqlhotcopy_archive main.mysqlhotcopy_myisam
-               # fails due to bad cleanup of previous tests when run in 
parallel
-               # The tool is deprecated anyway
-               # Bug 532288
-
-               for t in main.mysql_client_test main.mysql_client_test_nonblock 
\
-                       binlog.binlog_statement_insert_delayed 
main.information_schema \
-                       main.mysqld--help \
-                       archive.mysqlhotcopy_archive main.mysqlhotcopy_myisam \
-                       funcs_1.is_triggers funcs_1.is_tables_mysql 
funcs_1.is_columns_mysql ; do
-                               mysql-v2_disable_test  "$t" "False positives in 
Gentoo"
-               done
-
-               # Run mysql tests
-               pushd "${TESTDIR}"
-
-               # run mysql-test tests
-               perl mysql-test-run.pl --force --vardir="${T}/var-tests" \
-                       --testcase-timeout=30
-               retstatus_tests=$?
-               [[ $retstatus_tests -eq 0 ]] || eerror "tests failed"
-               has usersandbox $FEATURES && eerror "Some tests may fail with 
FEATURES=usersandbox"
-
-               popd
-
-               # Cleanup is important for these testcases.
-               pkill -9 -f "${S}/ndb" 2>/dev/null
-               pkill -9 -f "${S}/sql" 2>/dev/null
-
-               failures=""
-               [[ $retstatus_unit -eq 0 ]] || failures="${failures} test-unit"
-               [[ $retstatus_tests -eq 0 ]] || failures="${failures} tests"
-               has usersandbox $FEATURES && eerror "Some tests may fail with 
FEATURES=usersandbox"
-
-               [[ -z "$failures" ]] || die "Test failures: $failures"
-               einfo "Tests successfully completed"
-
-       else
-
-               einfo "Skipping server tests due to minimal build."
-       fi
-}

diff --git a/dev-db/mariadb/mariadb-5.5.48.ebuild 
b/dev-db/mariadb/mariadb-5.5.48.ebuild
deleted file mode 100644
index d3fb539..0000000
--- a/dev-db/mariadb/mariadb-5.5.48.ebuild
+++ /dev/null
@@ -1,123 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI="5"
-MY_EXTRAS_VER="20150509-1847Z"
-
-# Build system
-BUILD="cmake"
-
-inherit toolchain-funcs mysql-v2
-# only to make repoman happy. it is really set in the eclass
-IUSE="$IUSE"
-
-# REMEMBER: also update eclass/mysql*.eclass before committing!
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc 
~x86 ~sparc-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos 
~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
-
-# When MY_EXTRAS is bumped, the index should be revised to exclude these.
-EPATCH_EXCLUDE=''
-
-DEPEND="|| ( >=sys-devel/gcc-3.4.6 >=sys-devel/gcc-apple-4.0 )"
-RDEPEND="${RDEPEND}"
-
-# Please do not add a naive src_unpack to this ebuild
-# If you want to add a single patch, copy the ebuild to an overlay
-# and create your own mysql-extras tarball, looking at 000_index.txt
-
-# Official test instructions:
-# USE='embedded extraengine perl ssl static-libs community' \
-# FEATURES='test userpriv -usersandbox' \
-# ebuild mariadb-X.X.XX.ebuild \
-# digest clean package
-src_test() {
-
-       local TESTDIR="${BUILD_DIR}/mysql-test"
-       local retstatus_unit
-       local retstatus_tests
-
-       # Bug #213475 - MySQL _will_ object strenously if your machine is named
-       # localhost. Also causes weird failures.
-       [[ "${HOSTNAME}" == "localhost" ]] && die "Your machine must NOT be 
named localhost"
-
-       if ! use "minimal" ; then
-
-               if [[ $UID -eq 0 ]]; then
-                       die "Testing with FEATURES=-userpriv is no longer 
supported by upstream. Tests MUST be run as non-root."
-               fi
-               has usersandbox $FEATURES && eerror "Some tests may fail with 
FEATURES=usersandbox"
-
-               einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
-               addpredict /this-dir-does-not-exist/t9.MYI
-
-               # Run CTest (test-units)
-               cmake-utils_src_test
-               retstatus_unit=$?
-               [[ $retstatus_unit -eq 0 ]] || eerror "test-unit failed"
-
-               # Ensure that parallel runs don't die
-               export MTR_BUILD_THREAD="$((${RANDOM} % 100))"
-               # Enable parallel testing, auto will try to detect number of 
cores
-               # You may set this by hand.
-               # The default maximum is 8 unless MTR_MAX_PARALLEL is increased
-               export MTR_PARALLEL="${MTR_PARALLEL:-auto}"
-
-               # create directories because mysqladmin might right out of order
-               mkdir -p "${T}"/var-tests{,/log}
-
-               # create symlink for the tests to find the replace util
-               ln -s "${BUILD_DIR}/extra/replace" "${BUILD_DIR}/client/"
-
-               # These are failing in MariaDB 5.5 for now and are believed to 
be
-               # false positives:
-               #
-               # main.information_schema, 
binlog.binlog_statement_insert_delayed,
-               # main.mysqld--help, funcs_1.is_triggers, 
funcs_1.is_tables_mysql,
-               # funcs_1.is_columns_mysql
-               # fails due to USE=-latin1 / utf8 default
-               #
-               # main.mysql_client_test, main.mysql_client_test_nonblock:
-               # segfaults at random under Portage only, suspect resource 
limits.
-               #
-               # archive.mysqlhotcopy_archive main.mysqlhotcopy_myisam
-               # fails due to bad cleanup of previous tests when run in 
parallel
-               # The tool is deprecated anyway
-               # Bug 532288
-
-               for t in main.mysql_client_test main.mysql_client_test_nonblock 
\
-                       binlog.binlog_statement_insert_delayed 
main.information_schema \
-                       main.mysqld--help \
-                       archive.mysqlhotcopy_archive main.mysqlhotcopy_myisam \
-                       funcs_1.is_triggers funcs_1.is_tables_mysql 
funcs_1.is_columns_mysql ; do
-                               mysql-v2_disable_test  "$t" "False positives in 
Gentoo"
-               done
-
-               # Run mysql tests
-               pushd "${TESTDIR}"
-
-               # run mysql-test tests
-               perl mysql-test-run.pl --force --vardir="${T}/var-tests" \
-                       --testcase-timeout=30
-               retstatus_tests=$?
-               [[ $retstatus_tests -eq 0 ]] || eerror "tests failed"
-               has usersandbox $FEATURES && eerror "Some tests may fail with 
FEATURES=usersandbox"
-
-               popd
-
-               # Cleanup is important for these testcases.
-               pkill -9 -f "${S}/ndb" 2>/dev/null
-               pkill -9 -f "${S}/sql" 2>/dev/null
-
-               failures=""
-               [[ $retstatus_unit -eq 0 ]] || failures="${failures} test-unit"
-               [[ $retstatus_tests -eq 0 ]] || failures="${failures} tests"
-               has usersandbox $FEATURES && eerror "Some tests may fail with 
FEATURES=usersandbox"
-
-               [[ -z "$failures" ]] || die "Test failures: $failures"
-               einfo "Tests successfully completed"
-
-       else
-
-               einfo "Skipping server tests due to minimal build."
-       fi
-}

Reply via email to